%define module	SVN-Notify-Mirror
%define name	perl-%{module}
%define version	0.035
%define up_version	0.035
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Keep a mirrored working copy of a repository path
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/SVN/%{module}-%{up_version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:  perl-Module-Build
BuildRequires:  perl-SVN-Notify
BuildRequires:  subversion-tools
BuildRequires:  sendmail-command
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Keep a local directory in sync with a portion of a Subversion repository.
Typically used to keep a development web server in sync with the changes made
to the repository.

NOTE: because 'svn export' is not able to be consistently updated, the sync'd
directory must be a full working copy.

%prep
%setup -q -n %{module}-%{up_version}

%build
perl Build.PL installdirs=vendor << EOF
y
EOF
./Build

%check
export SVNLOOK=%{_bindir}/svnlook
export LC_ALL=C
./Build test

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/SVN
%{_mandir}/*/*



%changelog
* Wed Feb 28 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.035-1mdv2007.0
+ Revision: 127190
- new version

* Thu Nov 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.034.03-1mdv2007.1
+ Revision: 86628
- new version

* Wed Nov 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.034.02-2mdv2007.1
+ Revision: 84385
- new version

* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org> 0.034-2mdv2007.0
+ Revision: 54105
- rebuild
- Import perl-SVN-Notify-Mirror


* Mon Jul 10 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.034-1mdv2007.0
- New version 0.034

* Fri Jun 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.033-2mdv2007.0
- buildrequires sendmail-command

* Wed Mar 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.033-1mdk
- New release 0.033

* Thu Jan 05 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-1mdk
- new version
- rediff test patch

* Wed Dec 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-3mdk
- fix buildrequires

* Fri Dec 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.02-2mdk
- Fix BuildRequires : perl-SVN-Notify 

* Wed Dec 14 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-1mdk
- New release 0.02
- fix direct test, disable config test (Notify::Mirror::Config is broken)

* Tue Nov 29 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-1mdk
- first mdk release
